From fea92dc853f10d682e9343ca05414144893b67b3 Mon Sep 17 00:00:00 2001
From: Helmut Pozimski <helmut@pozimski.eu>
Date: Sat, 4 May 2019 08:00:10 +0200
Subject: [PATCH 1/2] libfilezilla: update to 0.16.0.

---
 srcpkgs/libfilezilla/template | 5 ++---
 1 file changed, 2 insertions(+), 3 deletions(-)

diff --git a/srcpkgs/libfilezilla/template b/srcpkgs/libfilezilla/template
index 4b83c545182..4d220683255 100644
--- a/srcpkgs/libfilezilla/template
+++ b/srcpkgs/libfilezilla/template
@@ -1,8 +1,7 @@
 # Template file for 'libfilezilla'
 # filezilla needs to be rebuilt when libfilezilla version changes, ABI is not stable
 pkgname=libfilezilla
-reverts="0.16.0_1"
-version=0.15.1
+version=0.16.0
 revision=2
 build_style=gnu-configure
 configure_args="--disable-static"
@@ -13,7 +12,7 @@ maintainer="bra1nwave <brainwave@openmailbox.org>"
 license="GPL-2.0-or-later"
 homepage="https://lib.filezilla-project.org/"
 distfiles="https://download.filezilla-project.org/${pkgname}/${pkgname}-${version}.tar.bz2"
-checksum=2048c4128f3bf37a2a4ece17c8bea5455f3d7414fe2e060afcf2a8b00a87f49f
+checksum=3b6c4be3c57ad5e6e9bcfd365222e95db7f52d2f6a165a9c93747f4aeb0ea7b9
 
 libfilezilla-devel_package() {
 	short_desc+=" - development files"

From 443e9b183dab37e50e78f9136226ef7c69b8b56e Mon Sep 17 00:00:00 2001
From: Helmut Pozimski <helmut@pozimski.eu>
Date: Wed, 8 May 2019 11:00:08 +0200
Subject: [PATCH 2/2] filezilla: update to 3.42.0.

---
 srcpkgs/filezilla/patches/cross.patch   | 11 +++++++++++
 srcpkgs/filezilla/patches/libtool.patch | 11 +++++++++++
 srcpkgs/filezilla/template              |  4 ++--
 3 files changed, 24 insertions(+), 2 deletions(-)
 create mode 100644 srcpkgs/filezilla/patches/cross.patch
 create mode 100644 srcpkgs/filezilla/patches/libtool.patch

diff --git a/srcpkgs/filezilla/patches/cross.patch b/srcpkgs/filezilla/patches/cross.patch
new file mode 100644
index 00000000000..3f31ecd868c
--- /dev/null
+++ b/srcpkgs/filezilla/patches/cross.patch
@@ -0,0 +1,11 @@
+--- configure	2019-05-08 10:44:58.580806039 +0200
++++ configure	2019-05-08 10:45:35.185289121 +0200
+@@ -17628,7 +17628,7 @@
+   "$ac_abs_confdir/src/fzshellext/configure" --prefix="$prefix" --exec-prefix="$exec_prefix" --host=x86_64-w64-mingw32 || exit 1
+ else
+   cd "$OLD_DIR/src/fzshellext/64" || exit 1
+-  "$ac_abs_confdir/src/fzshellext/configure" --disable-shellext || exit 1
++  "$ac_abs_confdir/src/fzshellext/configure" --host="$host_alias" --disable-shellext || exit 1
+ fi
+ cd "$OLD_DIR"
+ 
diff --git a/srcpkgs/filezilla/patches/libtool.patch b/srcpkgs/filezilla/patches/libtool.patch
new file mode 100644
index 00000000000..b11c3ca7839
--- /dev/null
+++ b/srcpkgs/filezilla/patches/libtool.patch
@@ -0,0 +1,11 @@
+--- src/interface/Makefile.in	2019-05-08 10:46:51.003218135 +0200
++++ src/interface/Makefile.in	2019-05-08 10:47:13.641898259 +0200
+@@ -815,7 +815,7 @@
+ 	$(IDN_LIB) $(LIBSQLITE3_LIBS) $(am__append_5) $(LIBGTK_LIBS)
+ dist_noinst_DATA = interface.vcxproj
+ @MACAPPBUNDLE_TRUE@noinst_DATA = $(top_builddir)/FileZilla.app/Contents/MacOS/filezilla$(EXEEXT)
+-@MACAPPBUNDLE_TRUE@filezilla_LIBTOOLFLAGS = --tag=CXX
++filezilla_LIBTOOLFLAGS = --tag=CXX
+ @MACAPPBUNDLE_TRUE@filezilla_OBJCXXFLAGS = -std=gnu++14
+ CLEANFILES = filezilla.h.gch
+ MAINTAINERCLEANFILES = ./$(DEPDIR)/filezilla.Po
diff --git a/srcpkgs/filezilla/template b/srcpkgs/filezilla/template
index 6b5f97f0b9d..aa3ed4a4a99 100644
--- a/srcpkgs/filezilla/template
+++ b/srcpkgs/filezilla/template
@@ -1,6 +1,6 @@
 # Template file for 'filezilla'
 pkgname=filezilla
-version=3.41.2
+version=3.42.0
 revision=1
 build_style=gnu-configure
 configure_args="--disable-static --disable-manualupdatecheck --disable-autoupdatecheck
@@ -15,7 +15,7 @@ license="GPL-2.0-or-later"
 homepage="https://filezilla-project.org"
 changelog="https://svn.filezilla-project.org/filezilla/FileZilla3/trunk/NEWS?view=co"
 distfiles="https://download.filezilla-project.org/client/FileZilla_${version}_src.tar.bz2"
-checksum=c23be24831f115748b4fd2c126840f0318e5b4da5cd3da1b03daaef9f7dff017
+checksum=0051061e607e8c6c4b46d7dd5781512f6b3c5b94a396c94547fd9bc04d04a1c3
 
 if [ "$CROSS_BUILD" ]; then
 	hostmakedepends+=" wxWidgets-gtk3-devel xdg-utils"
